Bug 61318 - Bad config in wireless.opts.
Bad config in wireless.opts.
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kernel-pcmcia-cs (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-17 16:00 EST by lars
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-19 12:09:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description lars 2002-03-17 16:00:21 EST
The /etc/pcmcia/wireless.opts distributed with beta2 (and with RH 7.2) contains
configuration options that will render a varety of cards (notably Lucant WaveLAN
IEEE) inoperable.

For example, wireless.opts contains:

  # Lucent Wavelan IEEE (+ Orinoco, RoamAbout and ELSA)
  # Melco/Buffalo Networks WLI-PCM-L11
  # Note : wvlan_cs driver only, and version 1.0.4+ for encryption support
  *,*,*,00:60:1D:*|*,*,*,00:02:2D:*)
    INFO="Wavelan IEEE example (Lucent default settings)"
    ESSID="any"
    MODE="Ad-Hoc"
    RATE="auto"
    KEY="s:secu1"

This puts Lucent cards in Ad-Hoc mode -- which means they won't attempt to find
a basestation, and as far as the user is concerned they won't work.  

I think the best solution may be to comment out *all* the examples in
wireless.opts.  Ideally, hand editing this file should be unnecessary -- the
settings should be handled by ifup and friends, perhaps with the support of the
wireless-tools package.
Comment 1 Bill Nottingham 2003-02-19 12:09:21 EST
This is done these days. We don't use wireless.opts.

Note You need to log in before you can comment on or make changes to this bug.